<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<p>
    <b th:if="${error != null}" th:text="${error}" style="color: red"/>
</p>
<form th:action="@{/register}" th:object="${userRegDto}" method="post">
    <input type="text" th:field="*{username}" th:placeholder="username"/>
    <input type="password" th:field="*{password}" th:placeholder="password"/>
    <input type="password" th:field="*{passwordConfirmation}" th:placeholder="password"/>
    <input type="submit" value="Submit"/>
</form>

</body>
</html>